Bug 1568772 - Installer should prevent from installing dockergc if docker storage driver is devicemapper
Summary: Installer should prevent from installing dockergc if docker storage driver is...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.9.z
Assignee: Kathryn Alexander
QA Contact: Johnny Liu
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks: 1591190
TreeView+ depends on / blocked
 
Reported: 2018-04-18 09:04 UTC by Gan Huang
Modified: 2018-08-09 18:37 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1591190 (view as bug list)
Environment:
Last Closed: 2018-08-09 18:37:33 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Gan Huang 2018-04-18 09:04:01 UTC
Description of problem:
dockergc pods would get crashed if docker storage driver is devicemapper.

Please see Bug 1511400.

Installer/OpenShift health check should stop from moving the installation forward.

Version-Release number of the following components:
openshift-ansible-3.9.22-1.git.7.92620c6.el7.noarch.rpm

How reproducible:
always

Steps to Reproduce:
1. trigger installation with devicemapper docker storage driver 
# cat inventory
<--snip-->
openshift_crio_use_rpm=true
openshift_crio_docker_gc_node_selector={"role": "node"}
<--snip-->

Actual results:
Installation succeeded, but dockergc pods got crashed:

# oc get po
NAME                       READY     STATUS             RESTARTS   AGE
docker-registry-1-xb8wj    1/1       Running            0          1h
dockergc-rrxsd             0/1       CrashLoopBackOff   24         1h
dockergc-xj6tv             0/1       CrashLoopBackOff   23         1h
registry-console-1-nsw8q   1/1       Running            0          1h
router-1-tp2vq             1/1       Running            0          1h

# oc logs dockergc-rrxsd
I0418 08:17:17.462417       1 dockergc.go:242] docker build garbage collection daemon
I0418 08:17:17.462537       1 dockergc.go:246] MinimumGCAge: {1h0m0s}, ImageGCHighThresholdPercent: 80, ImageGCLowThresholdPercent: 60


Expected results:

Additional info:
Please attach logs from ansible-playbook with the -vvv flag

Comment 1 Scott Dodson 2018-08-06 12:43:20 UTC
Opened a docs pr to suggest only setting the node selector to match hosts with overlay2.

https://github.com/openshift/openshift-docs/pull/11392

Comment 2 Scott Dodson 2018-08-06 12:43:53 UTC
Didn't mean to close this.

Comment 3 Johnny Liu 2018-08-09 03:35:08 UTC
LGTM.

Comment 4 Kathryn Alexander 2018-08-09 15:20:18 UTC
I've merged and cherry-picked the PR. It should be live soon.


Note You need to log in before you can comment on or make changes to this bug.